
#ifndef HOW2_H_
#define HOW2_H_

#define ARRAY_SIZE 0x4000
#define NODES 0x20
#define SAMPLE_RATE 16384.0

class HOW {
public:
	int showit(void);
    void acquire_clean_data(short *buf,  double phase, int len);
    void acquire_glitch_data(short *indat, double phase, int len);
    void acquire_dirty_data(short *buf,  double phase, int len);
    void acquire_noisy_data(short *buf,  double phase, int len);
    void acquire_dist_data(short *indat, double phase, int len);
    void acquire_square_data(short *buf, double phase, int len);
	void HOW::get_noisy_fpdat(double *buf, int len);
    void no_window(double *win, int len);
    void show_frequency(double *buf, int len);
    void make_ring_down(short *buf, int len);

struct file_dat {
    const char *fname;
    void (HOW::*routine)(short *, double, int);
    void (SIG::*window)(double *, int);
    double phase;
    };
private:
	static double srate;

};

#endif
